Skip to main content
`Ctrl`+`K`

# PetscLogEventGetName

Returns the event name when given the event id.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventGetName(PetscLogEvent event, const char *name[])

Not Collective

## Input Parameter

- event - The event

## Output Parameter

- name - The event name

## See Also

Profiling, `PetscLogEventRegister()`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscPreLoadBegin()`, `PetscPreLoadEnd()`, `PetscPreLoadStage()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages